---
page_title: "Vagrant 1.6"
title: "Vagrant 1.6"
author: "Mitchell Hashimoto"
author_url: https://github.com/mitchellh
---

Vagrant 1.6 is now available! This is a new major release building upon
Vagrant 1.5 to add new features to improve workflow, expand Vagrant to
support more development environment types, and more.

Vagrant 1.6 introduces no breaking backwards compatibilities. There are some
configuration options that have changed but they still work and will now just
output deprecation warnings.

There are a few major features in Vagrant 1.6. We covered the major features
in feature previews leading up to this release. You can find more information
by clicking on the feature name below:

  * [Global Status and Control](/blog/vagrant-1-6.html#features)
  * [Windows Guests](/blog/vagrant-1-6.html#features)
  * [Docker-Based Development Environments](/blog/vagrant-1-6.html#features)

You can [download Vagrant now](/downloads.html) or read the
[complete CHANGELOG](https://github.com/mitchellh/vagrant/blob/v1.6.0/CHANGELOG.md).
Or, continue reading to get an overview of the new features and improvements
in Vagrant 1.6, as well as the direction we're heading for Vagrant 1.7.

READMORE

<a id="features"></a>
### New Features

Vagrant 1.6 has a large number of new features. We spent a month leading
up to the release of Vagrant 1.6 previewing each of these features. To
learn more about the new features in Vagrant 1.6, please read the preview
post for each:

  * [Global Status and Control](/blog/feature-preview-vagrant-1-6-global-status.html) -
    Global Status shows you the status of all created Vagrant environments
    on your machine. Global Control lets you control any of these created
    environments from anywhere on your machine.

  * [Windows Guests](/blog/feature-preview-vagrant-1-6-windows.html) -
    Windows is now a first-class officially supported guest OS for
    Vagrant, meaning you can now `vagrant up` development environments running
    on Windows.

  * [Docker-Based Development Environments](/blog/feature-preview-vagrant-1-6-docker-dev-environments.html) -
    This allows Vagrant to run development environments within Linux containers
    powered by Docker, rather than virtual machines.

In addition to the above features we highlighted, Vagrant 1.6 has many more that
we didn't have time to cover in dedicated blog posts:

  * **New command: version** - This command not only shows the current
    Vagrant version, but also queries the latest Vagrant version and tells
    you if you are out of date. `vagrant -v` still exists to only show the
    current version.

  * **Provisioners can now run 'once' or 'always'** - Prior to Vagrant 1.6,
    provisioners would only run on the first `vagrant up`. This is still
    the case, but provisioners can now be configured to run "always" to
    run on any subsequent `vagrant up` or `vagrant reload` as well.

  * **Vagrantfiles can contain a post-up message** - This message will be
    shown after a `vagrant up` and can be used to notify the user how the
    development environment can be accessed and used.

  * **Boxes can now be compressed with LZMA** - LZMA compression can result
    in much smaller boxes in a lot of cases, and Vagrant can now decompress
    LZMA-compressed boxes.

The documentation for Vagrant has been updated to cover all of these new
features, so you can learn details about each feature in the
[Vagrant documentation](https://docs.vagrantup.com).

In addition to these features, dozens of improvements and bug fixes were
made to Vagrant. You can see these by reading the complete
[CHANGELOG](https://github.com/mitchellh/vagrant/blob/v1.6.0/CHANGELOG.md).

### The Future

Vagrant 1.6 continues the trend of Vagrant 1.5 of being a feature-heavy
release. With no backwards compatibility issues for Vagrantfiles or plugins,
we expect Vagrant 1.6 to become quickly adopted across Vagrant users.

Work on Vagrant 1.7 is already underway. Vagrant 1.7 will have at least
one major new feature that has been heavily requested, but for the most
part we're focusing on improving existing features for 1.7. The result
of this work should be an extremely stable, feature-rich release.

But, Vagrant 1.7 will include a few surprise features that people
are going to be _very_ excited about.
